summaryrefslogtreecommitdiff
path: root/taler-build
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2017-11-24 17:16:55 +0100
committerMarcello Stanisci <stanisci.m@gmail.com>2017-11-24 17:16:55 +0100
commit3dcc84f95f81dc697adc0c1a245fc31f78f09a9e (patch)
treec7d3c07f502d695eadb5f1d3283b191f0606906b /taler-build
parentcb60e3c140c738fbb011b9a24e7962be7572979d (diff)
downloaddeployment-3dcc84f95f81dc697adc0c1a245fc31f78f09a9e.tar.gz
deployment-3dcc84f95f81dc697adc0c1a245fc31f78f09a9e.tar.bz2
deployment-3dcc84f95f81dc697adc0c1a245fc31f78f09a9e.zip
unique script to update all frontends
Diffstat (limited to 'taler-build')
-rwxr-xr-xtaler-build/update_merchant_frontends.sh22
-rwxr-xr-xtaler-build/update_merchant_survey.sh17
2 files changed, 12 insertions, 27 deletions
diff --git a/taler-build/update_merchant_frontends.sh b/taler-build/update_merchant_frontends.sh
index 3a1324e..8713b08 100755
--- a/taler-build/update_merchant_frontends.sh
+++ b/taler-build/update_merchant_frontends.sh
@@ -2,16 +2,18 @@
set -eu
-cd $HOME/merchant-frontends/
-git clean -fxd
+for frontend in blog donations survey; do
+ cd $HOME/frontend/
+ git clean -fxd
-git fetch
-# reset to updated upstream branch, but only if we're tracking a branch
-branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
-git reset --hard "$branch"
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+ git reset --hard "$branch"
-git submodule update --init --force
+ git submodule update --init --force
-./bootstrap
-./configure --prefix="$HOME/local"
-make install check
+ ./bootstrap
+ ./configure --prefix="$HOME/local"
+ make install check
+done
diff --git a/taler-build/update_merchant_survey.sh b/taler-build/update_merchant_survey.sh
deleted file mode 100755
index 11f5dbd..0000000
--- a/taler-build/update_merchant_survey.sh
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/bash
-
-set -eu
-
-cd $HOME/survey/
-git clean -fxd
-
-git fetch
-# reset to updated upstream branch, but only if we're tracking a branch
-branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
-git reset --hard "$branch"
-
-git submodule update --init --force
-
-./bootstrap
-./configure --prefix="$HOME/local"
-make install